apiVersion: v1
kind: Service
metadata:
  name: open-webui
  namespace: interface
  labels:
    app.kubernetes.io/name: open-webui
spec:
  ports:
  - port: 80
    targetPort: 8080
    protocol: TCP
  selector:
    app.kubernetes.io/name: open-webui
  type: ClusterIP # We use Ingress now instead of LoadBalancer with NodePort
